Home Help Center

Ubuntu/Xampp - Apache cannot disply php files (problem with 'extension=IcePHP.so')

KrxKrx Member Karim ChikhOrganization: PersonalProject: including mumble viewer to our current website
Hello,

I am facing a big issue, cannot solve it and hope somebody can help?

I have XAMPP and Mumble (with mumble-server) on Ubuntu 11.10 and it worked very well so far.

Then in order to add a mumble viewer I tried to install Ice 3.4 for php 5 from ubuntu software center and that's when the problems started...
I tried to follow the steps from "How to Setup Ice for PHP with Apache on Debian/Ubuntu " found here:
Ice - Mumble

And one of the steps is to paste 'extension=IcePHP.so' in the dynamic extensions of the php.ini file so that's what I did and since then I cannot open any php file in my web browser: rather than opening it the web browser asks if I want to download or view the script... (I tried with firefox and chrome, even phpmyadmin cannot be open!).

I found similar issues on the web but nothing 100% similar to mine with a right answer, thus I also tried the solutions I found (even if they were not 100% similar) and nothing worked!
Could somebody please help me with that?

Thanks in advance.
Krx

Comments

  • xdmxdm La Coruña, SpainAdministrators, ZeroC Staff Jose Gutierrez de la ConchaOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Hi Karim,

    Welcome to the forums. You should look in your apache error log to get more info about the problem.
  • KrxKrx Member Karim ChikhOrganization: PersonalProject: including mumble viewer to our current website
    The error log gives me the followings:

    [Tue May 07 22:29:02.129653 2013] [ssl:warn] [pid 2073] AH01906: RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
    [Tue May 07 22:29:02.168908 2013] [ssl:warn] [pid 2073] AH01909: RSA certificate configured for Example Domain does NOT include an ID which matches the server name
    [Tue May 07 22:29:02.169006 2013] [suexec:notice] [pid 2073] AH01232: suEXEC mechanism enabled (wrapper: /opt/lampp/bin/suexec)
    [Tue May 07 22:29:02.214467 2013] [auth_digest:notice] [pid 2074] AH01757: generating secret for digest authentication ...
    [Tue May 07 22:29:03.200846 2013] [ssl:warn] [pid 2074] AH01906: RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
    [Tue May 07 22:29:03.200896 2013] [ssl:warn] [pid 2074] AH01909: RSA certificate configured for Example Domain does NOT include an ID which matches the server name
    [Tue May 07 22:29:03.200951 2013] [lbmethod_heartbeat:notice] [pid 2074] AH02282: No slotmem from mod_heartmonitor
    [Tue May 07 22:29:03.222615 2013] [mpm_prefork:notice] [pid 2074] AH00163: Apache/2.4.3 (Unix) OpenSSL/1.0.1c configured -- resuming normal operations
    [Tue May 07 22:29:03.222687 2013] [core:notice] [pid 2074] AH00094: Command line: '/opt/lampp/bin/httpd -D SSL -E /opt/lampp/logs/error_log'


    And if I re-modify the php.ini file to make XAMPP work again (by commenting the 'extension=IcePHP.so') and re-launch XAMPP I get the same error logs:

    [Tue May 07 22:37:14.185801 2013] [ssl:warn] [pid 2837] AH01906: RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
    [Tue May 07 22:37:14.185910 2013] [ssl:warn] [pid 2837] AH01909: RSA certificate configured for Example Domain does NOT include an ID which matches the server name
    [Tue May 07 22:37:14.185950 2013] [suexec:notice] [pid 2837] AH01232: suEXEC mechanism enabled (wrapper: /opt/lampp/bin/suexec)
    [Tue May 07 22:37:14.389078 2013] [auth_digest:notice] [pid 2838] AH01757: generating secret for digest authentication ...
    [Tue May 07 22:37:15.179318 2013] [ssl:warn] [pid 2838] AH01906: RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
    [Tue May 07 22:37:15.179369 2013] [ssl:warn] [pid 2838] AH01909: RSA certificate configured for Example Domain does NOT include an ID which matches the server name
    [Tue May 07 22:37:15.179423 2013] [lbmethod_heartbeat:notice] [pid 2838] AH02282: No slotmem from mod_heartmonitor
    [Tue May 07 22:37:15.188689 2013] [mpm_prefork:notice] [pid 2838] AH00163: Apache/2.4.3 (Unix) OpenSSL/1.0.1c PHP/5.4.7 configured -- resuming normal operations
    [Tue May 07 22:37:15.188745 2013] [core:notice] [pid 2838] AH00094: Command line: '/opt/lampp/bin/httpd -D SSL -D PHP5 -E /opt/lampp/logs/error_log'

    But I have to admit that I don't understand a word about these errors... Any idea?

    Krx
  • xdmxdm La Coruña, SpainAdministrators, ZeroC Staff Jose Gutierrez de la ConchaOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Seems that you are using the Ubuntu php-zeroc-ice packages with Xampp server , that doesn't seems to work. The Ubuntu php-zeroc-ice packages should be used with the Apache and php packages provided by Ubuntu.

    If you want to use php-zeroc-ice Ubuntu packages ask in Ubuntu forums, ZeroC doesn't build or maintain that packages.

    If you want to use Xampp you will probably need to build Ice for PHP from sources and this will require more effort on your side.

    I think the easier for you will be to use the Apache packages provided by Ubuntu, if you need help with that try to ask in Ubuntu forums.

    Cheers,
    Jose
  • KrxKrx Member Karim ChikhOrganization: PersonalProject: including mumble viewer to our current website
    Hi thanks for your answer.

    The thing is that I'm running a website on localhost from XAMPP and also mumble with mumble-server (I guess that it's on the Ubuntu server but I'm not sure...)

    Which brings my first question, do you know a way to clearly see on which server mumble-server is running?

    Then, 2nd question, if my website is running on XAMPP and murmur running on Ubuntu, is it technically possible to link both with ICE and a mumble viewer?

    Cheers,
    Krx
  • xdmxdm La Coruña, SpainAdministrators, ZeroC Staff Jose Gutierrez de la ConchaOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    I have not experience with Mumble you will have better look asking about Mumble in Mumble forums.

    Ice for PHP works with IcePHP 5.x , see here for a list of the platforms officially supported ZeroC - Supported Platforms for Ice 3.5.0

    The easier will be to use one of the officially supported platforms for which we provide packages.

    For other platforms you can build Ice for PHP that is documented in the php/INSTALL file included with our source distribution.

    If you want to use a third party Ice PHP package like the one from Ubuntu you must ask in the specific forum.
  • KrxKrx Member Karim ChikhOrganization: PersonalProject: including mumble viewer to our current website
    Thanks a lot!
    I'll go check that in some other forums...
    Krx
Sign In or Register to comment.